/*
Theme Name: Reset Network
Template: generatepress
Theme URI: https://
Author: Weave Digital Studio
Author URI: https://weave.co.nz/
Description: Website for Reset Network NZ
Version: 0.9
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: gpc
*/

/*
CONTENTS:
1. GLOBALS
	Theme Variables
	Fonts
	Icons
	Layout
	Heading
	Text
	List
	Blockquote
	Link & Button
	Image
	Misc
2. HEADER
	Layout
	PP Desktop Menu
	PP Mobile Menu
	BT Sticky Header
3. FOOTER
4. COMPONENTS
	PP Content Grid
	BB Box
	BB Loop
	Post Grid: Advisor
	Post Grid: Member
	Row - Hero
	Cards
	PP Callout
	ZP Simple Text
	WP GridBuilder
	Gravity Forms
	Micromodal (plugin)
5. HOME
6. SEARCH RESULTS
7. MISC
8. STYLES TEMPLATE
*/


/*/////////////////////////////////////////////////////
1. GLOBAL
/////////////////////////////////////////////////////*/

/* --------------------------
THEME VARIABLES
-------------------------- */

:root {

	/* COLORS VARIABLES */

	/*
	--error: #ff4e7a;
	*/

	/* MISC VARIABLES */

	--transition-1: all .3s ease-out;
	--transition-2: all .5s ease-out;
	--mobile-max-width: 520px;
	--mobile-max-width-narrow: 320px;

}

/* --------------------------
FONTS
-------------------------- */

/* --------------------------
ICONS
-------------------------- */

[class^="rsn-icon-"], 
[class*=" rsn-icon-"] {
	display: inline-block;
}

/* --------------------------
LAYOUT
-------------------------- */

/* PAGE SECTION */ 

/* .rsn-page-section[data-node] > .fl-row-content-wrap,  */
:where(.rsn-page-section[data-node]) > .fl-row-content-wrap {
	margin-bottom: 12px;
}
/* .rsn-page-section[data-node]:not(.rsn-spacing-bb) > .fl-row-content-wrap,  */
:where(.rsn-page-section) > .fl-row-content-wrap {
	padding-top: clamp(10px, -20px + 7.5vw, 70px);
	padding-bottom: clamp(10px, -20px + 7.5vw, 70px);
}
/* .rsn-page-section.rsn-spacing-xl[data-node] > .fl-row-content-wrap,  */
:where(.rsn-page-section.rsn-spacing-xl) > .fl-row-content-wrap {
	padding-top: clamp(20px, -20px + 10vw, 100px);
	padding-bottom: clamp(20px, -20px + 10vw, 100px);
}
.rsn-page-section:has(.rsn-bt-pin-b) > .fl-row-content-wrap {
	overflow: hidden;
}
.rsn-page-section:has(.rsn-bt-pin-b) > .fl-row-content-wrap .rsn-bt-pin-b-parent {
	padding-bottom: calc(var(--bt-height) / 3);
}

/* INTRO 2 */ 

.rsn-layout-intro-2 {
	padding: clamp(20px, -0.7692px + 5.7692vw, 80px) clamp(20px, -7.6923px + 7.6923vw, 100px);
}

/* --- RESPONSIVE --- */

@media (min-width: 769px) {

	/* MISC */ 

	.rsn-mobile {
		display: none;
	}
	.full-width-content .container.grid-container {
		padding: 0 12px;
	}
}
@media (max-width: 768px) {

	/* MISC */ 

	.site-main {
		margin-right: 12px;
		margin-left: 12px;
	}
	.rsn-desktop {
		display: none;
	}
	[class*="rsn-mobile-max-width"] {
		--mobile-max-width: 520px;
		--mobile-max-width-narrow: 320px;
	}
	[class*="rsn-mobile-max-width"]:not([class*="child"]),
	[class*="rsn-mobile-max-width-child"] > * {
		margin-right: auto !important;
		margin-left: auto !important;
	}
	.rsn-mobile-max-width,
	.rsn-mobile-max-width-child > * {
		max-width: var(--mobile-max-width);
	}
	.rsn-mobile-max-width-narrow,
	.rsn-mobile-max-width-child-narrow > * {
		max-width: var(--mobile-max-width-narrow);
	}

	/* PAGE SECTION */ 

	.rsn-page-section.rsn-bg > .fl-row-content-wrap {
		margin-right: 20px;
		margin-left: 20px;
	}

	 /* INTRO 2 */ 

	.rsn-layout-intro-2 {
		margin-right: 0;
		margin-left: 0;
	}
}

/* --------------------------
HEADING
-------------------------- */

/* FLUID TYPOGRAPHY */

/* 
https://utopia.fyi/type/calculator
*/

html {
	/* 16px (browser default) */
	font-size: 100%; 
}
body, 
code, kbd, tt, var {
	font-size: clamp(1rem, 0.9375rem + 0.25vw, 1.125rem); /* 16-18 */
}
:is(h1,h2,h3,h4,h5,h6), 
[class*="rsn-heading-fake"] :is(h2,h3,h4,h5,h6,p), 
:is(h1,h2,h3,h4,h5,h6,p)[class*="rsn-heading-fake"] {
	margin-bottom: .5em;
    font-family: var(--gp-font--bricolage-grotesque);
	font-weight: 600;
	line-height: 1.2;
}
.fl-module-box  :is(h1,h2,h3,h4,h5,h6,p)[class*="rsn-heading-fake"].fl-module-heading, 
.fl-module-box :is(h1,h2,h3,h4,h5,h6,p)[class*="rsn-heading-fake"].fl-module-heading, 
.fl-module-box.fl-block :is(h1,h2,h3,h4,h5,h6,p)[class*="rsn-heading-fake"].fl-module-heading {
	margin: 0;
}
h1, 
.rsn-heading-fake-h1 :is(h2,h3,h4,h5,h6,p,div), 
:is(h2,h3,h4,h5,h6,p,div).rsn-heading-fake-h1 {
	font-size: clamp(2.25rem, 0.5rem + 7vw, 5.75rem); /* 36-92 */
	line-height: 1.1;
}
h2, 
.rsn-heading-fake-h2 :is(h1,h3,h4,h5,h6,p,div), 
:is(h1,h3,h4,h5,h6,p,div).rsn-heading-fake-h2 {
	font-size: clamp(1.75rem, 1.375rem + 1.5vw, 2.5rem); /* 28-40 */
}
h3, 
.rsn-heading-fake-h3 :is(h1,h2,h4,h5,h6,p,div), 
:is(h1,h2,h4,h5,h6,p,div).rsn-heading-fake-h3 {
	font-size: clamp(1.625rem, 1.3125rem + 1.25vw, 2.25rem); /* 26-36 */
}
h4, 
.rsn-heading-fake-h4 :is(h1,h2,h3,h5,h6,p,div), 
:is(h1,h2,h3,h5,h6,p,div).rsn-heading-fake-h4 {
	margin-bottom: .55em;
	font-size: clamp(1.5rem, 1.25rem + 1vw, 2rem); /* 24-32 */
}
h5, 
.rsn-heading-fake-h5 :is(h1,h2,h3,h4,h6,p,div), 
:is(h1,h2,h3,h4,h6,p,div).rsn-heading-fake-h5 {
	margin-bottom: .6em;
	font-size: clamp(1.375rem, 1.1875rem + 0.75vw, 1.75rem); /* 22-28 */
	line-height: 1.3;
}
h6, 
.rsn-heading-fake-h6 :is(h1,h2,h3,h4,h5,p,div), 
:is(h1,h2,h3,h4,h5,p,div).rsn-heading-fake-h6 {
	margin-bottom: .75em;
	font-size: clamp(1.25rem, 1.125rem + 0.5vw, 1.5rem); /* 20-24 */
	line-height: 1.3;
}
[class*="rsn-heading-fake"] :is(p,div), 
 :is(p,div)[class*="rsn-heading-fake"] {
	margin-bottom: unset;
}

/* MISC */

:is(h1,h2,h3,h4,h5,h6) a {
	text-decoration: none;
}
h1, h2, h3, h4, h5, h6 {
	text-wrap: balance;
} 
p+:is(h1,h2,h3,h4,h5,h6), 
ul+:is(h1,h2,h3,h4,h5,h6), 
ol+:is(h1,h2,h3,h4,h5,h6) {
	margin-top: 1em;
}

/* --------------------------
TEXT
-------------------------- */

p {
	text-wrap: pretty;
}
/* strong, 
.fl-builder-content .fl-rich-text strong {
	font-weight: 600;
} */
.fl-builder-content strong {
	font-weight: 600 !important;
}
.rsn-text-right {
	text-align: right;
}
/* [class^="rsn-text-"] {
	line-height: 1.6;
	font-weight: 300;
} */
.rsn-text-xxl {
	font-size: clamp(1.375rem, 1.0625rem + 1.25vw, 2rem); /* 22-32 */
	font-weight: 200;
	line-height: 1.5;
}
.rsn-text-xl {
	font-size: clamp(1.125rem, 0.9952rem + 0.5769vw, 1.5rem); /* 18-24 */
	font-weight: 200;
}
:where(.rsn-text-xxl, .rsn-text-xl) p {
	margin-bottom: .75em;
}
.rsn-text-l {
	font-size: clamp(1rem, 0.9375rem + 0.25vw, 1.125rem); /* 16-18 */
}
.rsn-text-m {
	font-size: clamp(0.875rem, 0.8125rem + 0.25vw, 1rem); /* 14-16 */
}
.rsn-text-s {
	font-size: clamp(0.8125rem, 0.7813rem + 0.125vw, 0.875rem); /* 13-14 */
}

.rsn-text-kicker,
.pp-breadcrumbs {
	font-size: clamp(0.75rem, 0.6635rem + 0.3846vw, 1rem) !important; /* 12-16 */
	font-weight: 700;
	text-transform: uppercase;
	letter-spacing: .08em;
}
.rsn-text-kicker a {
	text-decoration: none;
}

.rsn-text-no-margin-b p, 
p.rsn-text-no-margin-b {
	margin-bottom: 0;
}

.rsn-note, 
.rsn-note p {
	font-weight: 700;
	font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace;
	color: var(--error);
	text-align: center;
}
.rsn-note a {
	color: var(--error);
}

/* --------------------------
LIST
-------------------------- */

:not(header):not(footer) #content .fl-rich-text li:not(:last-child):not(.fl-module-overlay *) {
	margin-bottom: clamp(0.625rem, 0.4375rem + 0.75vw, 1rem);
}
#content .fl-builder-content .fl-module-overlay li:not(.fl-module-overlay *) {
	margin-bottom: 0;
}
:not(header):not(footer) #content .fl-rich-text li > :where(ul,ol):not(.fl-module-overlay *) {
	margin-top: clamp(0.625rem, 0.4375rem + 0.75vw, 1rem);
}

#content ul:not(.fl-module-overlay *):not(.fl-module-loop *):not(.wpgb-facet *) {
	list-style: none;
	margin-left: 0;
	padding-left: 0;
}
#content ul li:not(.fl-module-overlay *):not(.fl-module-loop *):not(.wpgb-facet *) {
	position: relative;
	padding-left: 1.5em;
}
#content ul li:not(.fl-module-overlay *):not(.fl-module-loop *):not(.wpgb-facet *)::before {
	content: "\e920";
	position: absolute; 
	top: 0;
	left: 0;
	font-size: 90%;
	font-family: 'Reset-Network-Icons';
	color: var(--blue);
}
#content .rsn-list-bullet-turquoise ul li:not(.fl-module-overlay *):not(.wpgb-facet *)::before {
	color: var(--turquoise);
}
#content .fl-block-overlay ul li {
	padding-left: 0;
}
#content .fl-block-overlay ul li::before {
	display: none;
}

.rsn-list-no-margin-l ul, 
ul.rsn-list-no-margin-l {
	margin-left: 1.2rem;
}

/* --------------------------
BLOCKQUOTE
-------------------------- */

blockquote {
	margin: 4em 0;
	padding: 20px 30px;
	font-style: normal;
	font-weight: 200;
	color: inherit;
	border-left: 3px solid var(--yellow);
}
blockquote p {
	margin-bottom: 0;
	font-size: clamp(1.5rem, 1.25rem + 1vw, 2rem); /* 24-32 */
}

/* --- RESPONSIVE --- */

@media (max-width: 768px) {
	blockquote {
		padding: 20px;
	}
}

/* --------------------------
LINK & BUTTON
-------------------------- */

#content :is(a, .fl-button), 
#content :is(a *, .fl-button *), 
.fl-builder-content :is(a, a *), 
.fl-builder-content [data-node] .fl-button:is(a, button), 
button.button, 
a.button, 
.button a {
	transition: all 0.15s ease-out;
}
a:not([href]):is(:hover, :focus), 
*:hover a:not([href]), 
.hover a:not([href]) {
	cursor: default;
	color: inherit;
}
.rsn-dark-bg a:is(:hover, :focus) {
	 color: white !important; 
}

*:focus {
	outline: none;
}
*:focus-visible {
	outline: 1px dotted rgba(0,0,0,.6);
}
.rsn-no-link {
	pointer-events: none;
}

/* BUTTON GLOBAL
-------------------------- */

button.button, 
a.button, 
.button a,
a.fl-button,
.fl-builder-content :is(a.fl-button, a.fl-button:visited),
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a, 
[data-node] .pp-gf-content .gform_wrapper :is(.gform-button, .gform_footer .gform_button, .gform_page_footer .button) {
	padding: clamp(12px, 6px + 1.5vw, 24px) clamp(18px, 9px + 2.25vw, 36px); /* 12-24 18-36 */
	background-color: var(--turquoise);
	font-size: clamp(1rem, 0.963rem + 0.1852vw, 1.125rem); /* 16-18 */
	font-weight: 500;
	line-height: 1.2;
	text-align: center;
	color: white;
	border: none;
	border-radius: 50px;
}
.fl-builder-content :is(a.fl-button, a.fl-button:visited) * {
	color: white;
}
button.button.rsn-small, 
a.button.rsn-small, 
.button.rsn-small a,
a.fl-button.rsn-bt-small,
.fl-builder-content .rsn-bt-small :is(a.fl-button, a.fl-button:visited) {
	padding: clamp(7px, 5.5185px + 0.463vw, 12px) clamp(13px, 9.7407px + 1.0185vw, 24px); /* 7-12 13-24 */
	font-size: clamp(0.875rem, 0.838rem + 0.1852vw, 1rem); /* 14-16 */
}
button.button:hover,
a.button:hover,
.button a:hover,
header a.fl-button:hover,
.fl-builder-content a.fl-button:hover,
[data-node] .pp-gf-content .gform_wrapper :is(.gform-button, .gform_footer .gform_button, .gform_page_footer .button):hover {
	background-color: var(--green-apple);
	color: var(--primary);
}
.fl-builder-content :is(a.fl-button:hover, a.fl-button:focus) * {
	color: var(--primary);
}
.fl-builder-content .fl-button i {
	font-size: 1.1em;
}

/* BUTTON COLOURS VARIATIONS
-------------------------- */

/* BT GREEN APPLE */ 

button.button.rsn-green-apple, 
a.button.rsn-green-apple, 
.button.rsn-green-apple a,
a.fl-button.rsn-green-apple,
.fl-builder-content .rsn-green-apple :is(a.fl-button, a.fl-button:visited), 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a {
	background-color: var(--green-apple);
}
button.button.rsn-green-apple:hover,
a.button.rsn-green-apple:hover,
.button.rsn-green-apple a:hover,
.fl-builder-content .rsn-green-apple :is(a.fl-button:hover, a.fl-button:focus), 
header a.fl-button.rsn-green-apple:hover, 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta:hover > .pp-has-submenu-container > a {
	background-color: var(--green);
}

/* BT GREEN APPLE LIGHT */ 

button.button.rsn-green-apple-light, 
a.button.rsn-green-apple-light, 
.button.rsn-green-apple-light a,
a.fl-button.rsn-green-apple-light,
.fl-builder-content .rsn-green-apple-light :is(a.fl-button, a.fl-button:visited) {
	background-color: var(--green-apple-light);
}
.fl-builder-content .rsn-green-apple-light :is(a.fl-button, a.fl-button:visited) * {
	color: var(--green-forest);
}
button.button.rsn-green-apple-light:hover,
a.button.rsn-green-apple-light:hover,
.button.rsn-green-apple-light a:hover,
header a.fl-button.rsn-green-apple-light:hover,
.fl-builder-content .rsn-green-apple-light :is(a.fl-button:hover, a.fl-button:focus) {
	background-color: var(--green-apple);
}

/* BT TURQUOISE LIGHT */ 

button.button.rsn-turquoise-light, 
a.button.rsn-turquoise-light, 
.button.rsn-turquoise-light a,
a.fl-button.rsn-turquoise-light,
.fl-builder-content .rsn-turquoise-light :is(a.fl-button, a.fl-button:visited) {
	background-color: var(--turquoise-light);
}
button.button.rsn-turquoise-light:hover,
a.button.rsn-turquoise-light:hover,
.button.rsn-turquoise-light a:hover,
header a.fl-button.rsn-turquoise-light:hover,
.fl-builder-content .rsn-turquoise-light :is(a.fl-button:hover, a.fl-button:focus) {
	background-color: var(--turquoise);
}

/* BT COLOURS VARIATIONS GLOBAL */ 

.fl-builder-content :is(.rsn-green-apple, .rsn-turquoise-light) :is(a.fl-button, a.fl-button:visited) *, 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a * {
	color: var(--primary);
}
.fl-builder-content :is(.rsn-green-apple, .rsn-turquoise-light) :is(a.fl-button:hover, a.fl-button:focus) *, 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta:is(:hover, :focus) > .pp-has-submenu-container > a * {
	color: white;
}

/* BUTTON PIN BOTTOM
-------------------------- */

.rsn-bt-pin-b a, 
.fl-builder-content .rsn-bt-pin-b a.fl-button:where(:focus, :active) {
	--bt-outline-w: clamp(10px, calc(5px + 1.25vw), 20px);;
	/* --bt-height set by JS */
	position: absolute;
	top: unset;
	bottom: 0;
	margin-left: var(--bt-outline-w);
	outline: var(--bt-outline-w) solid white;
	/* transform: translateY(calc(var(--section-padding-b) + var(--bt-outline-w))); */
}
.rsn-bt-pin-b a::before,
/* .rsn-bt-pin-b a:where(:focus, :active)::before, */
.rsn-bt-pin-b a::after/* , 
.rsn-bt-pin-b a:where(:focus, :active)::after */ {
	content: "";
	position: absolute;
	top: 50%;
	bottom: 0;
	display: block;
	width: calc(var(--bt-height) / 2 + var(--bt-outline-w));
	height: auto;
}
.rsn-bt-pin-b a::before/* , 
.rsn-bt-pin-b a:where(:focus, :active)::before */ {
	left: 0;
	transform: translateX(-100%);
	background-image: 
	radial-gradient(circle at 0% 0%, transparent 0%, transparent 53%, white 53%);
	background-size: 100% 100%, calc(var(--bt-outline-w)) 100%;
	background-position: 0;
	background-repeat: no-repeat;
	transform: translateX(-100%);
}
.rsn-bt-pin-b a::after/* , 
.rsn-bt-pin-b a:where(:focus, :active)::after */ {
	right: 0;
	transform: translateX(100%);
	background-image: 
	radial-gradient(circle at 100% 0%, transparent 0%, transparent 53%, white 53%);
	background-size: 100% 100%, calc(var(--bt-outline-w)) 100%;
	background-position: 0;
	background-repeat: no-repeat;
	transform: translateX(100%);
}

/* BUTTON UNDERLINE
-------------------------- */

button.button.rsn-bt-underline, 
a.button.rsn-bt-underline, 
.button a.rsn-bt-underline,
.rsn-bt-underline a.fl-button,
.fl-builder-content .rsn-bt-underline :is(a.fl-button, a.fl-button:visited) {
	padding: 0 0 clamp(6px, 3.9231px + 0.5769vw, 12px); /* 0 0 6-12 0 */
	background-color: unset;
	font-size: clamp(0.875rem, 0.8317rem + 0.1923vw, 1rem); /* 14-16 */
	color: var(--green);
	border-bottom: 1px solid var(--green);
	border-radius: 0;
}
.fl-builder-content .rsn-bt-underline :is(a.fl-button, a.fl-button:visited) * {
	color: var(--green);
}
button.button.rsn-bt-underline:hover, 
a.button.rsn-bt-underline:hover, 
.button a.rsn-bt-underline:hover,
.rsn-bt-underline a.fl-button:hover,
.fl-builder-content .rsn-bt-underline a.fl-button:hover {
	border-color: var(--green-forest);
}
.fl-builder-content .rsn-bt-underline :is(a.fl-button:hover, a.fl-button:focus) * {
	color: var(--green-forest);
}
button.button.rsn-bt-underline.rsn-dark-bg:hover, 
a.button.rsn-bt-underline.rsn-dark-bg:hover, 
.button a.rsn-bt-underline.rsn-dark-bg:hover,
.rsn-bt-underline.rsn-dark-bg a.fl-button:hover,
.fl-builder-content .rsn-bt-underline.rsn-dark-bg a.fl-button:hover {
	border-color: var(--green-apple-light);
}
.fl-builder-content .rsn-bt-underline.rsn-dark-bg :is(a.fl-button:hover, a.fl-button:focus) * {
	color: var(--green-apple-light);
}

/* --------------------------
IMAGE
-------------------------- */

figure.fl-module-photo:has(figcaption) {
	display: flex;
	flex-direction: column;
}
figure.fl-module-photo:has(figcaption) .fl-photo-caption-below {
	padding: clamp(15px, 12.5px + 0.625vw, 20px) 0 0;
	font-size: clamp(0.8125rem, 0.7813rem + 0.125vw, 0.875rem); /* 13-14 */
	line-height: 1.2;
	color: var(--gray);
}
figure.fl-module-photo:has(figcaption) figcaption:empty {
	display: none;
}
/* .rsn-img-style-1 .fl-photo-caption-below {
	padding: 20px 0 0;
	line-height: 1.2;
	color: var(--gray);
} */

/* --------------------------
MISC
-------------------------- */

hr {
	margin: 2rem 0;
	border: none;
	border-top: 1px solid #e7e7e7;
}
code:not(.gp-color-grid-alt code), kbd, tt, var {
	display: inline-block;
	margin-bottom: 1em;
	background-color: #e5e5e5;
	padding: .2rem .5rem;
}
.rsn-dark-bg code:not(.gp-color-grid-alt code), kbd, tt, var {
	background-color: rgba(255,255,255,.1);
	color: #ccc;
}

/* --- RESPONSIVE --- */

@media (max-width: 768px) {
	.generate-back-to-top {
		bottom: 10px;
		right: 10px;
		line-height: 32px;
		width: 32px;
	}
}


/*/////////////////////////////////////////////////////
2. HEADER
/////////////////////////////////////////////////////*/

/* --------------------------
LAYOUT
-------------------------- */

/* --------------------------
PP DESKTOP MENU
-------------------------- */

/* TOP LEVEL MENU */ 

/* header .rsn-menu .pp-advanced-menu .menu > li {
	outline: 1px solid red;
} */
header .rsn-menu .pp-advanced-menu .menu > li > .pp-has-submenu-container > a, 
header .rsn-menu .pp-advanced-menu .menu > li > a {
	padding-right: clamp(15px, -12.234px + 2.6596vw, 25px);
	padding-left: clamp(15px, -12.234px + 2.6596vw, 25px);
}
header .rsn-menu .pp-advanced-menu .menu > li.current-menu-ancestor > .pp-has-submenu-container > a {
	color: var(--green);
}
.pp-menu-full-screen .pp-advanced-menu .menu > li.current-menu-ancestor > .pp-has-submenu-container > a, 
.pp-menu-full-screen .pp-advanced-menu .menu > li.pp-active > .pp-has-submenu-container > a, 
.pp-menu-full-screen .pp-advanced-menu.full-screen .menu li.current-menu-item a, 
.pp-menu-full-screen .pp-advanced-menu.full-screen .menu li.current-menu-item .pp-has-submenu-container a {
	color: var(--primary);
}

/* TOP LEVEL MENU CTA */ 

header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta {
	margin-left: clamp(1.25rem, -12.367rem + 21.2766vw, 6.25rem);
	align-self: stretch;
}
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a {
	padding-top: initial;
	padding-bottom: initial;
}
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta, 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container, 
header .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a {
	display: flex; 
	align-items: center;
}
header:not(.fl-theme-builder-header-shrink) .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container, 
header:not(.fl-theme-builder-header-shrink) .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a {
	height: 100%;
}

/* TOP LEVEL MENU ARROW IDLE */ 

header .rsn-menu .pp-advanced-menu .pp-toggle-arrows .pp-menu-toggle:before, 
.pp-menu-full-screen .pp-advanced-menu.full-screen .pp-toggle-arrows .pp-menu-toggle:before,
.pp-menu-full-screen .pp-advanced-menu .pp-toggle-arrows li.pp-active .pp-has-submenu-container .pp-menu-toggle:before {
	top: calc(50% + 3px);
	width: 0; 
	height: 0;
	border-style: solid;
	border-width: 5px 5px 0 5px;
	transform: rotate(0deg);
	transition: var(--transition-1);
}
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li .pp-menu-toggle:before {
	border-color: var(--primary) transparent transparent transparent;
}
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li.current-menu-ancestor .pp-has-submenu-container .pp-menu-toggle:before {
	border-color: var(--green) transparent transparent transparent;
}
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li.rsn-cta .pp-menu-toggle:before, 
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li.rsn-cta:is(.current-menu-item, .current-menu-ancestor) .pp-has-submenu-container .pp-menu-toggle:before {
	border-width: 5px 5px 0 5px;
	border-color: var(--primary) transparent transparent transparent;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .pp-toggle-arrows .pp-menu-toggle:before, 
.pp-menu-full-screen .pp-advanced-menu .pp-toggle-arrows li.pp-active .pp-has-submenu-container .pp-menu-toggle:before {
	border-color: var(--green-forest) transparent transparent transparent;
}

/* TOP LEVEL MENU ARROW ACTIVE */ 

header .rsn-menu .pp-advanced-menu .pp-toggle-arrows :is(li, .pp-has-submenu-container):is(:hover, :focus, .focus) .pp-has-submenu-container .pp-menu-toggle:before,
.pp-menu-full-screen .pp-advanced-menu.full-screen li.pp-active .pp-toggle-arrows .pp-has-submenu-container .pp-menu-toggle:before, 
.pp-menu-full-screen .pp-advanced-menu.full-screen li .pp-toggle-arrows .pp-has-submenu-container a.focus .pp-menu-toggle:before {
	border-width: 0 5px 5px 5px;
	border-color: transparent transparent var(--green) transparent;
}
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li.current-menu-ancestor:is(:hover, :focus, .focus) .pp-has-submenu-container .pp-menu-toggle:before {
	border-color: transparent transparent var(--green) transparent;
}
header .rsn-menu .pp-advanced-menu .pp-toggle-arrows li.rsn-cta:is(:hover, :focus, .focus) .pp-has-submenu-container .pp-menu-toggle:before {
	border-width: 0 5px 5px 5px;
	border-color: transparent transparent white transparent !important;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .pp-toggle-arrows :is(li, .pp-has-submenu-container):is(:hover, :focus, .focus) .pp-has-submenu-container .pp-menu-toggle:before, 
.pp-menu-full-screen .pp-advanced-menu.full-screen .pp-toggle-arrows li:is(.pp-active, .current-menu-ancestor) > .pp-has-submenu-container .pp-menu-toggle:before, 
.pp-menu-full-screen .pp-advanced-menu.full-screen li .pp-toggle-arrows .pp-has-submenu-container a.focus .pp-menu-toggle:before {
	border-color: var(--primary) transparent transparent transparent;
}

/* --- RESPONSIVE --- */

@media (min-width: 1025px) {
	header .rsn-menu .pp-advanced-menu-horizontal.pp-toggle-arrows .pp-has-submenu-container > a > span {
		padding-right: clamp(20px, 57.234px + -2.6596vw, 30px);
	}
}

/* SUBMENU */ 

/* DEV */
/* header .rsn-menu .menu-item-has-children:first-of-type .sub-menu {
	visibility: visible;
	opacity: 1;
	display: block;
} */
/* END DEV */

header .rsn-menu .menu .pp-has-submenu .sub-menu {
	padding-top: 30px;
	padding-bottom: 30px;
	box-shadow: rgba(0,0,0,.1) 0 10px 15px -10px, rgba(0,0,0,.05) 0 15px 20px 0;
}
.pp-menu-full-screen .pp-advanced-menu .sub-menu {
	padding-top: 20px;
	padding-bottom: 20px;
}
header .rsn-menu .sub-menu {
	--submenu-top-shift: 28px;
}
header.fl-theme-builder-header-shrink .rsn-menu .sub-menu {
	--submenu-top-shift: -7px;
}
header .rsn-menu .sub-menu::before {
	content: "";
	position: absolute;
	display: block;
	width: 100%;
	height: var(--submenu-top-shift);
	top: calc((var(--submenu-top-shift) * -1) - 12px);
	background-color: transparent;
}
body:not(.fl-builder-edit) header .rsn-menu li > .sub-menu {
	top: calc(100% + var(--submenu-top-shift));
	left: 0;
	transform: unset;
	animation: .3s ease-out 0s forwards menu_anim;
}
@keyframes menu_anim {
	from { top: 75%; opacity: 0; }
	to	 { top: calc(100% + var(--submenu-top-shift)); opacity: 1; }
}

header .rsn-menu .sub-menu > li:first-child::before, 
header .rsn-menu .sub-menu > li:first-child::after {
	content: "";
	position: absolute;
	display: block;
	width: 8px;
	height: 8px;
	top: -30px;
	background-image: radial-gradient(circle at 0% 100%, transparent 0%, transparent 8px, white 8px);
}
header .rsn-menu .sub-menu > li:first-child::before {
	left: -20px;
}
header .rsn-menu .sub-menu > li:first-child::after {
	right: -20px;
	/* transform: rotate(-90deg); */
	background-image: radial-gradient(circle at 100% 100%, transparent 0%, transparent 8px, white 8px);
}

header .rsn-menu .rsn-menu-item-description {
	display: block;
	padding-top: .6em;
	font-size: 14px;
	font-weight: 300;
	color: var(--gray-dark);
}
header .rsn-menu .pp-advanced-menu .sub-menu li a:hover .rsn-menu-item-description, 
header .rsn-menu .pp-advanced-menu .sub-menu li.current-menu-item a .rsn-menu-item-description {
	color: var(--green);
}

/* --- RESPONSIVE --- */

@media (min-width: 768px) {
	.pp-advanced-menu .sub-menu {
		width: max-content !important;
		max-width: 500px;
	}
}

/* SUBMENU ITEM ICON */ 

header .rsn-menu .pp-advanced-menu .sub-menu > li > a {
	display: flex;
	align-items: center;
	gap: 20px;
}
header .rsn-menu .pp-advanced-menu .sub-menu > li > a::before {
	content: "\e920";
	display: flex; 
	justify-content: center;
	align-items: center;
	width: 64px;
	height: 64px;
	aspect-ratio: 1;
	background-color: var(--green-apple-light);
	border-radius: 100%;
	font-family: "Reset-Network-Icons";
	font-size: 30px;
	line-height: 0;
	color: var(--green-forest);
	transition: var(--transition-1);
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.rsn-top-level > a::before {
	content: "\e920";
	background-color: var(--green-forest);
	color: var(--cream-light);
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.success-stories > a::before {
	content: "\e926";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.energy-modeling > a::before {
	content: "\e91d";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.policy-solutions > a::before {
	content: "\e924";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.engagement > a::before {
	content: "\e923";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.our-members > a::before, 
header .rsn-menu .pp-advanced-menu .sub-menu > li.become-a-member > a::before {
	content: "\e922";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.our-collaborators > a::before, 
header .rsn-menu .pp-advanced-menu .sub-menu > li.become-a-partner > a::before {
	content: "\e91a";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.our-advisors > a::before {
	content: "\e918";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.our-funding > a::before {
	content: "\e91f";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.contact-us > a::before {
	content: "\e91b";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.events > a::before {
	content: "\e91e";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.news > a::before {
	content: "\e921";
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.blog > a::before {
	content: "\e919";
}

header .rsn-menu .pp-advanced-menu .sub-menu > li.annual-reports > a::before {
	content: "\e915";
}

header .rsn-menu .pp-advanced-menu .sub-menu > li.newsletter-archive > a::before {
	content: "\e910";
}

header .rsn-menu .pp-advanced-menu .sub-menu > li > a:is(:focus,:hover)::before,
header .rsn-menu .pp-advanced-menu .sub-menu > li.current-menu-item > a::before {
	color: var(--green);
}
header .rsn-menu .pp-advanced-menu .sub-menu > li.rsn-top-level > a:is(:focus,:hover)::before, 
header .rsn-menu .pp-advanced-menu .sub-menu > li.rsn-top-level.current-menu-item > a::before {
	background-color: var(--green);
	color: var(--cream-light);
}

/* --------------------------
PP MOBILE MENU
-------------------------- */

.pp-advanced-menu .pp-menu-overlay .pp-menu-close-btn {
	top: 25px;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .menu li.rsn-cta {
	margin-top: 20px;
}
.pp-advanced-menu .pp-menu-overlay > ul.menu {
	top: 8%;
	max-width: 450px;
	transform: unset;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .sub-menu {
	padding-top: 15px;
	padding-bottom: 15px;
    background-color: unset;
	border-width: 1px 0;
	border-style: solid;
	border-color: var(--green);
	border-radius: unset;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen li.rsn-cta .sub-menu {
	border: unset;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .menu li .sub-menu a {
	padding-top: 8px;
	padding-bottom: 8px;
}
.pp-menu-full-screen .pp-advanced-menu.full-screen .menu li.rsn-cta .pp-has-submenu-container > a {
	background-color: var(--cream-light);
	border-radius: 50px;
	padding: 12px 25px;
}

/* --- RESPONSIVE --- */

@media (max-width: 1024px) {
	header .rsn-menu {
		order: 1;
	}
	/* header .rsn-bt-join-us {
		order: 0;
		margin-left: auto;
	} */
	.pp-menu-full-screen .pp-advanced-menu.full-screen .rsn-menu-item-description {
		display: none;
	}
}
@media (max-width: 768px) {
	.pp-menu-full-screen .pp-advanced-menu.full-screen .pp-menu-overlay ul.menu {
		width: initial;
	}
}

/* --------------------------
BT STICKY HEADER
-------------------------- */

header.fl-theme-builder-header-shrink {
	box-shadow: 0 0 30px rgba(0,0,0,.1);
}
header.fl-theme-builder-header-shrink .fl-row-content > .fl-module-box {
	margin-top: 0;
	margin-bottom: 0;
}
/* .fl-theme-builder-header-shrink .rsn-bt-join-us a, 
.fl-theme-builder-header-shrink .rsn-bt-join-us a.fl-button, */
header.fl-theme-builder-header-shrink .rsn-menu .pp-advanced-menu .menu > li.rsn-cta > .pp-has-submenu-container > a {
	padding-top: 10px;
	padding-bottom: 10px;
}
.fl-builder-content[data-type="header"].fl-theme-builder-header-shrink img {
	max-height: 35px !important;
}


/*/////////////////////////////////////////////////////
3. FOOTER
/////////////////////////////////////////////////////*/


/*/////////////////////////////////////////////////////
4. COMPONENTS
/////////////////////////////////////////////////////*/

/*--------------------------
PP CONTENT GRID
--------------------------*/

/* Fix for OWL slider width issue inside BB Box by @zackpyle */
:where(.fl-module-box:has(.owl-item, .swiper-slide, .slick-slide)){ 
	min-width: 0;
}

/*--------------------------
BB BOX
--------------------------*/

.fl-module-box[data-url]:hover {
	cursor: pointer;
}

/*--------------------------
BB LOOP
--------------------------*/

.fl-loop-grid {
	margin: initial;
}

/*--------------------------
POST GRID: ADVISOR
--------------------------*/

/* MICROMODAL */ 

/* html .rsn-grid-advisor .modal__container {
	padding-top: clamp(5px, 0.5556px + 1.3889vw, 20px);
} */
.modal.rsn-advisor .rsn-post-image {
	margin-bottom: clamp(15px, 8.0769px + 1.9231vw, 35px);
}
.modal.rsn-advisor .rsn-post-image img {
	object-fit: cover;
	width: clamp(140px, 122.6923px + 4.8077vw, 190px);
	height: auto;
	aspect-ratio: 1;
}
.modal.rsn-advisor .rsn-post-title {
	margin-bottom: 5px;
}
.modal.rsn-advisor .rsn-post-meta {
	font-weight: 500;
	color: var(--gray);
}
.modal.rsn-advisor .rsn-post-content {
	margin-top: clamp(15px, 11.5385px + 0.9615vw, 25px);
}

/*--------------------------
POST GRID: MEMBER
--------------------------*/

.rsn-grid-member .rsn-card-member {
	position: relative;
}
/* .rsn-grid-member .rsn-card-member .rsn-post-link {
	position: absolute; 
} */
.rsn-grid-member .rsn-card-member .rsn-post-link a {
	position: absolute; 
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
.rsn-grid-member .rsn-card-member:is(:hover, :active, :focus), 
.rsn-grid-member .rsn-card-member .rsn-post-link a:is(:hover, :active, :focus) {
	cursor: pointer !important;
}
.rsn-grid-member .rsn-card-member .rsn-organisation {
	font-weight: 500; 
}
.rsn-grid-member .rsn-card-member .fl-expertise {
	display: flex;
	flex-wrap: wrap;
	gap: 5px;
}
.rsn-grid-member .rsn-card-member .fl-expertise > span {
	display: inline-flex;
}
.rsn-grid-member .rsn-card-member .fl-expertise > span span {
	padding: clamp(5px, 3.2692px + 0.4808vw, 10px) clamp(10px, 6.5385px + 0.9615vw, 20px);
	background-color: var(--green-apple-light);
	font-weight: 400;
	color: var(--green);
	border-radius: 50px;
}

/*--------------------------
ROW - HERO
--------------------------*/

.rsn-page-section.rsn-hero[data-node] > .fl-row-content-wrap {
	height: fit-content;
	min-height: clamp(250px, 40vw, 600px);
	padding-top: clamp(30px, 10px + 5vw, 70px);
	padding-bottom: clamp(20px, 15px + 1.25vw, 30px);
}
.rsn-page-section.rsn-hero .breadcrumb, 
.rsn-page-section.rsn-hero .breadcrumb :is(:hover, :focus) {
	color: var(--cream);
}
.rsn-page-section.rsn-hero .breadcrumb a {
	color: var(--green-apple);
}
.rsn-page-section.rsn-hero .rsn-img-caption .fl-simple-text-content {
	display: flex;
	align-items: center;
	gap: .5em;
}

/*--------------------------
CARDS
--------------------------*/

/* GLOBAL */

/* [class*="rsn-card"][role="link"], */
[class*="rsn-card"],
[class*="rsn-card"] .rsn-heading,
[class*="rsn-card"] .rsn-icon i:before {
	transition: var(--transition-1);
}
/* [class*="rsn-card"]:hover {
	cursor: pointer;
} */

:is(.rsn-card-advisor, .rsn-card-collaborator, .rsn-card-member):hover {
	background-color: var(--cream);
}
:is(.rsn-card-advisor, .rsn-card-collaborator, .rsn-card-member):hover .rsn-post-title, 
.rsn-card-member:hover .rsn-post-meta .fl-simple-text {
	color: var(--green-forest);
}

/* CARDS 1-2-3 */

.rsn-card-2:hover .rsn-heading, 
:where(.rsn-card-2, .rsn-card-3):hover .rsn-icon i:before {
	color: var(--green);
}
.rsn-card-3:hover {
	background-color: var(--green-forest);
}
.rsn-card-3:hover .rsn-heading, 
.rsn-card-3:hover .rsn-text .fl-simple-text {
	color: var(--cream-light);
}
.rsn-card-3:hover > .rsn-icon .fl-icon i {
	background-color: rgba(255,255,255,.1);
}

/* CARD COLLABORATOR */

.rsn-card-collaborator .rsn-post-image, 
.rsn-card-collaborator .rsn-post-image picture {
	display: flex;
	justify-content: center;
	align-items: center;
}
.rsn-card-collaborator .rsn-post-image {
	height: clamp(110px, 85.7692px + 6.7308vw, 180px);
	background-color: white;
}
.rsn-card-collaborator .rsn-post-image > picture, 
.rsn-card-collaborator .rsn-post-image > img {
	width: auto;
	max-width: 80%;
	height: 70%;
}
.rsn-card-collaborator .rsn-post-image > picture > img {
	object-fit: contain;
	max-height: 100%;
}
body:not(.fl-builder-edit) .rsn-card-collaborator .fl-module-button {
	pointer-events: none;
}

/*--------------------------
PP CALLOUT
--------------------------*/

.fl-callout-text p {
	padding: initial !important;
}

/*--------------------------
ZP SIMPLE TEXT
--------------------------*/

[data-node] div.fl-simple-text {
	display: block;
}

/*--------------------------
WP GRIDBUILDER
--------------------------*/

/* LAYOUT */

html .wpgb-facet > fieldset:last-child {
	margin-bottom: 0;
}

/* FACETS */

html .wpgb-facet .wpgb-az-index-label, 
html .wpgb-facet .wpgb-button-label, 
html .wpgb-facet .wpgb-checkbox-label, 
html .wpgb-facet .wpgb-hierarchy-label, 
html .wpgb-facet .wpgb-radio-label, 
html .wpgb-facet .wpgb-rating-label {
	font-size: clamp(0.875rem, 0.838rem + 0.1852vw, 1rem); /* 14-16 */
}

html .wpgb-facet .wpgb-hierarchical-list li:not(:first-child) {
	margin-top: .5em !important;
}

html .wpgb-facet .wpgb-hierarchy-facet .wpgb-hierarchy {
	align-items: center;
}
html .wpgb-facet .wpgb-hierarchy-facet .wpgb-hierarchy[aria-pressed=true] input:not([value=""])~.wpgb-hierarchy-label {
    font-weight: inherit;
}
html .wpgb-facet .acplt-clear, 
html .wpgb-facet .wpgb-clear-button, 
html .wpgb-facet .wpgb-hierarchy .wpgb-hierarchy-control, 
html .wpgb-facet .wpgb-input-icon, 
html .wpgb-facet .wpgb-rating-reset .wpgb-rating-control, 
html .wpgb-facet .wpgb-select button, 
html .wpgb-facet .wpgb-select-controls {
	color: var(--secondary-medium);
}
html .wpgb-facet .wpgb-hierarchy-facet .wpgb-hierarchy-control svg {
	stroke-width: 2px;
}

html .wpgb-facet.wpgb-style-1 button.wpgb-button:disabled:hover {
	background-color: var(--secondary-light);
}

/* LOADER */

.wpgb-enabled .fl-loop-item .fl-module {
	opacity: 1;
	transition: var(--transition-1);
}
.wpgb-enabled.wpgb-loading .fl-loop-item .fl-module {
	opacity: .7;
}
.wpgb-enabled {
	/* display: flow-root; */
	position: relative;
}
.wpgb-enabled.wpgb-loading::after {
	content: "";
	display: block !important;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
	width: 10px;
	height: 10px;
	border-radius: 50%;
	animation: rotateLoader infinite 1s linear;
	box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.925), 0 -20px rgba(0, 0, 0, 0.8), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.675), 20px 0 rgba(0, 0, 0, 0.55), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.425), 0 20px rgba(0, 0, 0, 0.3), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.175), -20px 0 rgba(0, 0, 0, 0.05);
	transition: box-shadow 200ms ease;
	opacity: 1;
}

@keyframes rotateLoader {
	0% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.925), 0 -20px rgba(0, 0, 0, 0.8), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.675), 20px 0 rgba(0, 0, 0, 0.55), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.425), 0 20px rgba(0, 0, 0, 0.3), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.175), -20px 0 rgba(0, 0, 0, 0.05);
	}
	12.5% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.05), 0 -20px rgba(0, 0, 0, 0.925), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.8), 20px 0 rgba(0, 0, 0, 0.675), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.55), 0 20px rgba(0, 0, 0, 0.425), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.3), -20px 0 rgba(0, 0, 0, 0.175);
	}
	25% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.175), 0 -20px rgba(0, 0, 0, 0.05), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.925), 20px 0 rgba(0, 0, 0, 0.8), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.675), 0 20px rgba(0, 0, 0, 0.55), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.425), -20px 0 rgba(0, 0, 0, 0.3);
	}
	37.5% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.3), 0 -20px rgba(0, 0, 0, 0.175), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.05), 20px 0 rgba(0, 0, 0, 0.925), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.8), 0 20px rgba(0, 0, 0, 0.675), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.55), -20px 0 rgba(0, 0, 0, 0.425);
	}
	50% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.425), 0 -20px rgba(0, 0, 0, 0.3), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.175), 20px 0 rgba(0, 0, 0, 0.05), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.925), 0 20px rgba(0, 0, 0, 0.8), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.675), -20px 0 rgba(0, 0, 0, 0.55);
	}
	62.5% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.55), 0 -20px rgba(0, 0, 0, 0.425), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.3), 20px 0 rgba(0, 0, 0, 0.175), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.05), 0 20px rgba(0, 0, 0, 0.925), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.8), -20px 0 rgba(0, 0, 0, 0.675);
	}
	75% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.675), 0 -20px rgba(0, 0, 0, 0.55), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.425), 20px 0 rgba(0, 0, 0, 0.3), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.175), 0 20px rgba(0, 0, 0, 0.05), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.925), -20px 0 rgba(0, 0, 0, 0.8);
	}
	87.5% {
		box-shadow: -14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.8), 0 -20px rgba(0, 0, 0, 0.675), 14.1422712488px -14.1422712488px rgba(0, 0, 0, 0.55), 20px 0 rgba(0, 0, 0, 0.425), 14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.3), 0 20px rgba(0, 0, 0, 0.175), -14.1422712488px 14.1422712488px rgba(0, 0, 0, 0.05), -20px 0 rgba(0, 0, 0, 0.925);
	}
}

/*--------------------------
GRAVITY FORMS
--------------------------*/

html .gform_wrapper.gravity-theme .ginput_complex label {
	font-size: 80%;
}

/* VALIDATION */

html .gform_wrapper.gravity-theme .gform_validation_errors {
	background: none;
}
html .gform_wrapper.gravity-theme .gform_validation_errors > h2 {
	font-family: var(--gp-font--1);
	font-size: 15px;
}
html .gform_wrapper.gravity-theme .description, 
html .gform_wrapper.gravity-theme .gfield_description, 
html .gform_wrapper.gravity-theme .gsection_description, 
html .gform_wrapper.gravity-theme .instruction {
	font-size: 14px;
}
html .gform_wrapper.gravity-theme .gfield_error .gfield_repeater_cell label, 
html .gform_wrapper.gravity-theme .gfield_error label, 
html .gform_wrapper.gravity-theme .gfield_error legend, 
html .gform_wrapper.gravity-theme .gfield_validation_message, 
html .gform_wrapper.gravity-theme .validation_message, 
html .gform_wrapper.gravity-theme [aria-invalid=true]+label, 
html .gform_wrapper.gravity-theme label+[aria-invalid=true] {
	color: var(--error);
}
html [data-node] .pp-gf-content .gform_wrapper .gfield_error input:not([type='radio']):not([type='checkbox']):not([type='submit']):not([type='button']):not([type='image']):not([type='file']), 
html [data-node] .pp-gf-content .gform_wrapper .gfield_error .ginput_container select, 
html [data-node] .pp-gf-content .gform_wrapper .gfield_error .ginput_container textarea {
	border-color: var(--error);
}
html .gform_wrapper.gravity-theme .gform_validation_errors:focus {
	outline: none;
	outline-offset: 0;
}

html .gform_wrapper.gravity-theme .gfield_validation_message, 
html .gform_wrapper.gravity-theme .validation_message, 
html .pp-gf-content .gform_wrapper .gfield .gfield_description.validation_message {
	background: none;
	padding: 5px 10px;
	border-radius: 5px;
}

/* --------------------------
MICROMODAL (plugin)
-------------------------- */

/* body.fl-builder-edit .modal,  */
.modal {
	display: none;
}
html .modal__overlay {
	z-index: 1000;
	padding: 20px;
	background-color: rgba(163,163,163,.95);
}
html .modal__container {
	position: relative;
	max-width: 750px;
	max-height: 90vh;
	padding: clamp(20px, 11.1111px + 2.7778vw, 50px);
	border-radius: clamp(10px, 8.8148px + 0.3704vw, 14px);
	cursor: default;
}
html .modal__content {
	margin: 0;
	line-height: inherit;
	color: var(--primary);
}
html .modal__close {
	position: absolute;
	top: clamp(0px, -2.963px + 0.9259vw, 10px);
	right: clamp(0px, -2.963px + 0.9259vw, 10px);
	width: clamp(40px, 37.037px + 0.9259vw, 50px);
	height: clamp(40px, 37.037px + 0.9259vw, 50px);
	background-image: none;
	background-color: transparent !important;
}
html .modal__close::before, 
html .modal__close::after {
	content: "";
	display: block;
	position: absolute;
	top: 50%;
	left: calc(50% - clamp(12.5px, 11.0185px + 0.463vw, 17.5px));
	width: clamp(25px, 22.037px + 0.9259vw, 35px);
	height: 2px;
	background-color: var(--gray);
	opacity: .7;
}
html .modal__close::before {
	transform: rotate(45deg);
}
html .modal__close::after {
	transform: rotate(-45deg);
}
html .modal__close:hover::before, 
html .modal__close:hover::after {
	opacity: 1;
}


/*/////////////////////////////////////////////////////
5. HOME
/////////////////////////////////////////////////////*/


/*/////////////////////////////////////////////////////
6. SEARCH RESULTS
/////////////////////////////////////////////////////*/

.search-results [data-node] .pp-content-post .pp-post-image {
	width: 15%;
}
.search-results [data-node] .pp-content-post .pp-post-image img {
	aspect-ratio: 1;
	object-fit: cover;
}
.search-results [data-node] .pp-content-post .pp-content-body {
	width: 85%;
}
.search-results [data-node] .pp-content-post .pp-content-body .pp-post-content .read-more {
	display: none;
}
.relevanssi-query-term {
	position: relative;
	z-index: 0;
	padding-bottom: .25em;
}
.relevanssi-query-term::after {
	content: "";
	position: absolute;
	z-index: -1;
	top: 0;
	right:0;
	bottom: 0;
	left: 0;
	border-bottom: 2px solid var(--green);
}

/* --- RESPONSIVE --- */

@media (max-width: 768px) {
	.search-results .rs-posts.rs-grid .pp-content-post {
		margin-bottom: 0;
	}
	.search-results [data-node] .pp-content-post .pp-post-image {
		max-width: 160px;
		width: auto;
	}
	.search-results [data-node] .pp-content-post .pp-content-body {
		width: 100%;
		padding-left: 0;
	}
}


/*/////////////////////////////////////////////////////
7. MISC
/////////////////////////////////////////////////////*/

.fl-builder-block-thumbnail {
	display: none;
}

/* --- responsive embed --- */
.embed-container { position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden; }
.embed-container iframe, .embed-container object, .embed-container embed, .embed-container video { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }


/*/////////////////////////////////////////////////////
8. STYLES TEMPLATE
/////////////////////////////////////////////////////*/

[class*="av-demo-font-"] {
	font-size: clamp(1.125rem, 0.9886rem + 0.6818vw, 1.5rem); /* 18-24 */
}
[class*="av-demo-font-"] h2, 
[class*="av-demo-font-"] h3 {
	margin-bottom: .75em; 
}
.av-demo-font-1, 
.av-demo-font-1 h2, 
.av-demo-font-1 h3 {
	font-family: var(--gp-font--bricolage-grotesque); 
}
.av-demo-font-2, 
.av-demo-font-2 h2, 
.av-demo-font-2 h3 {
	font-family: var(--gp-font--poppins); 
}
[class*="av-demo-font-"] p {
	margin-bottom: .5em;
}